Compatibility Issues

If Adblock Plus or Adblock Browser cannot be installed due to compatibility issues, please verify that Adblock Plus or Adblock Browser supports your platform's version.

Important: Adblock Plus and Adblock Browser cannot function on older browser / platform versions that are no longer supported.

To ensure that your platform is up-to-date, visit:

For more details on Adblock Plus and Adblock Browser system requirements reference this article

 

Was this article helpful?
1 out of 3 found this helpful